# Generated by Django 4.0.3 on 2022-03-12 16:48

import uuid

import django.core.validators
import djmoney.models.fields
import phonenumber_field.modelfields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("app", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="BankAccount",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True
                    ),
                ),
                (
                    "balance_currency",
                    djmoney.models.fields.CurrencyField(
                        choices=[("RUB", "RUB")], default="RUB", editable=False, max_length=3
                    ),
                ),
                ("balance", djmoney.models.fields.MoneyField(decimal_places=2, default_currency="RUB", max_digits=15)),
                (
                    "account_number",
                    models.DecimalField(
                        decimal_places=0,
                        editable=False,
                        max_digits=20,
                        validators=[django.core.validators.MinLengthValidator(20)],
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="TgUser",
            fields=[
                ("tg_id", models.IntegerField(primary_key=True, serialize=False)),
                (
                    "phone_number",
                    phonenumber_field.modelfields.PhoneNumberField(blank=True, max_length=128, region=None),
                ),
                ("username", models.CharField(max_length=10)),
            ],
        ),
    ]
